//------------------------------------------------------------------------------------
// irr::scene::IParticleAffector wrappers
//------------------------------------------------------------------------------------

// note: may need array<SParticle> for this
extern "C" 
{
	void IrrScene_IParticleAffector_affect(IParticleAffector* pa,u32 now,array<SParticle>* particlearray)
	{
		if (pa)
			pa->affect(now,particlearray->pointer(),particlearray->size());
	}
	
	s32 IrrScene_IParticleAffector_getType(IParticleAffector* pa)
	{
		if (pa)
			return (s32)pa->getType();
		else return -1; 
	}

	void IrrScene_IParticleAffector_setEnabled(IParticleAffector* pa,bool enabled)
	{
		if (pa)
			pa->setEnabled(enabled);
	}

	bool IrrScene_IParticleAffector_getEnabled(IParticleAffector* pa)
	{
		if (pa)
			return pa->getEnabled();
		else return false;
	}
	
	bool IrrScene_IParticleAffector_drop(IParticleAffector* unk)
	{
		if (unk)
			return unk->drop();
		else return 0;
	}
	
	const c8* IrrScene_IParticleAffector_getDebugName(IParticleAffector* unk)
	{
		if (unk)
			return unk->getDebugName();
		else return "";
	}
	
	void IrrScene_IParticleAffector_grab(IParticleAffector* unk)
	{
		if (unk)
			unk->grab();
	}
	
}

